# Class StateQueueManager

- Defined in router/state/state-queue-manager.js:5

#####
Index

### Constructors

constructor

### Properties

builder
listeners
queue
stateRegistry
states
urlServiceRules

### Methods

attachRoute
flush
register

##
Constructors

### constructor

- new StateQueueManager(stateRegistry, urlServiceRules, states, builder, listeners): StateQueueManager

- #### Parameters

  - stateRegistry: any
  - urlServiceRules: any
  - states: any
  - builder: any
  - listeners: any

  #### Returns StateQueueManager

  - Defined in router/state/state-queue-manager.js:6

##
Properties

### builder

builder: any

- Defined in router/state/state-queue-manager.js:10

### listeners

listeners: any

- Defined in router/state/state-queue-manager.js:11

### queue

queue: any[]

- Defined in router/state/state-queue-manager.js:12

### stateRegistry

stateRegistry: any

- Defined in router/state/state-queue-manager.js:7

### states

states: any

- Defined in router/state/state-queue-manager.js:9

### urlServiceRules

urlServiceRules: any

- Defined in router/state/state-queue-manager.js:8

##
Methods

### attachRoute

- attachRoute(state): void

- #### Parameters

  - state: any

  #### Returns void

  - Defined in router/state/state-queue-manager.js:83

### flush

- flush(): any

- #### Returns any

  - Defined in router/state/state-queue-manager.js:28

### register

- register(stateDecl): StateObject

- #### Parameters

  - stateDecl: any

  #### Returns StateObject

  - Defined in router/state/state-queue-manager.js:14